openSUSE Security Update : cpio (openSUSE-SU-2014:1643-1)

Medium Nessus Plugin ID 80044


The remote openSUSE host is missing a security update.


This cpio update fixes the following secuirty issue :

- fix an OOB write with cpio -i (bnc#907456) (CVE-2014-9112)


Update the affected cpio packages.

See Also

Plugin Details

Severity: Medium

ID: 80044

File Name: openSUSE-2014-771.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/12/16

Modified: 2014/12/16

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:cpio, p-cpe:/a:novell:opensuse:cpio-debuginfo, p-cpe:/a:novell:opensuse:cpio-debugsource, p-cpe:/a:novell:opensuse:cpio-lang, cpe:/o:novell:opensuse:12.3, cpe:/o:novell:opensuse:13.1, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2014/12/04

Reference Information

CVE: CVE-2014-9112